/*
 * iofileb.d - I/O bytes by filename and process.
 *             Written using DTrace (Solaris 10 3/05).
 *
 * This prints a summary of requested disk activity by pathname,
 * providing totals of the I/O events in bytes. It is a companion to the
 * iofile.d script - which prints in terms of I/O wait time, not bytes.
 * I/O wait time is a better metric for understanding performance issues.
 * Both disk and NFS I/O are measured.
 *
 * $Id: iofileb.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *		PID	process ID
 *		CMD	command name
 *		KB	Kilobytes of disk I/O
 *		FILE	Full pathname of the file
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 20-Feb-2006	Brendan Gregg	Created this.
 * 20-Feb-2006	   "      "	Last update.
 * 13-Nov-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

io:::start
{
	@files[pid, execname, args[2]->fi_pathname] = sum(args[0]->b_bcount);
}
