/*
 * mmapfiles.d - mmap'd files by process.
 *               Written using DTrace (Solaris 10 3/05).
 *
 * $Id: mmapfiles.d 14 2007-09-11 08:03:35Z brendan $
 *
 * FIELDS:
 *		MMAPS		number of mmaps
 *		CMD		process name
 *		PATHNAME	pathname of mmap'd file
 *
 * COPYRIGHT: Copyright (c) 2005, 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 18-Oct-2005	Brendan Gregg	Created this.
 * 20-Apr-2006	   "      "	Last update.
 * 14-Nov-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

syscall::mmap:entry
/(int)arg4 > 0/
{
	/*
	 * Fetch filename
	 */
	this->filep = curthread->t_procp->p_user.u_finfo.fi_list[arg4].uf_file;
	this->vnodep = this->filep != 0 ? this->filep->f_vnode : 0;
	self->vpath = this->vnodep ? (this->vnodep->v_path != 0 ?
	    cleanpath(this->vnodep->v_path) : "<unknown>") : "<unknown>";

	/* Store Details */
	@hits[execname, self->vpath] = count();
}
