/*
 * sigdist.d - signal distribution by process name.
 *             Written using DTrace (Solaris 10 3/05)
 *
 * This is a simple DTrace script that prints the number of signals
 * recieved by process and signal number. This script is also available
 * as /usr/demo/dtrace/sig.d, where it originates.
 *
 * $Id: sigdist.d 4 2007-08-01 11:01:38Z brendan $
 *
 * FIELDS:
 *		SENDER		process name of sender
 *		RECIPIENT	process name of target
 *		SIG		signal number, see signal(3head)
 *		COUNT		number of signals sent
 *
 * BASED ON: /usr/demo/dtrace/sig.d
 *
 * SEE ALSO: DTrace Guide "proc Provider" chapter (docs.sun.com)
 *           kill.d(1M)
 *
 * PORTIONS: Copyright (c) 2005, 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 09-Jun-2005	Brendan Gregg	Created this.
 * 20-Apr-2006	   "      "	Last update.
 * 11-Nov-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

proc:::signal-send
{
	@Count[execname, stringof(args[1]->pr_fname), args[2]] = count();
}
